Subject: [os2genau_digest] No. 1525
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Sat, 28 Jul 2007 00:00:57 EST-10EDT,10,-1,0,7200,3,-1,0,7200,3600

**************************************************
Friday 27 July 2007
 Number  1525
**************************************************

Subjects for today
 
1  Re:  BIND config - was The Australian Government at work : Ian Manners" <deadmail>
2  Re:  The Australian Government at work : Paul Smedley <paul at smedley.info>
3  Re:  BIND config - was The Australian Government at work : Paul Smedley <paul at smedley.info>
4  Re:  BIND config - was The Australian Government at work : Ian Manners" <deadmail>
5  Re:  The Australian Government at work : Chris Graham [WarpSpeed]" <chrisg at warpspeed dot com dot au>
6  Re:  The Australian Government at work : Paul Smedley <paul at smedley.info>
7  Re:  The Australian Government at work : Chris Graham [WarpSpeed]" <chrisg at warpspeed dot com dot au>

**= Email   1 ==========================**

Date:  Fri, 27 Jul 2007 01:42:14 +1000 (EST)
From:  "Ian Manners" <deadmail>
Subject:  Re:  BIND config - was The Australian Government at work

Hi Chris

>I ran that for my domain, and the results were not pretty!

Wonder if thats why I get the odd "undelivered email, unknown domain"
error from your server :-|

>Does anyone know how to configure the IBM DNS (Bind 4.9 based) to no
>recurse for the entire planet?

Download  http://www.os2site dot com/sw/internet/dns/bind-9.4.1-os2r3.zip
Build done by Paul Smedley, doesnt include the security fix from
the past couple of days but if you have a FW its safe. The IBM DNS
under OS/2 probably isnt the best to use.

Your looking to add :-

options no-recursion  <== Bind v4.x only

Cheers
Ian Manners
http://www.os2site dot com/

Windows 2007 and Jabba the Hut: Twins, separated at birth.
----------------------------------------------------------------------------------

**= Email   2 ==========================**

Date:  Fri, 27 Jul 2007 06:20:15 +0930
From:  Paul Smedley <paul at smedley.info>
Subject:  Re:  The Australian Government at work

Hi Chris,

Chris Graham [WarpSpeed] wrote:
>> http://www.dnsstuff dot com/tools/dnsreport.ch?domain=donotcall.gov.au
> 
> I ran that for my domain, and the results were not pretty!
> 
> Does anyone know how to configure the IBM DNS (Bind 4.9 based) to no
> recurse for the entire planet?

Why not update to latest Bind - http://os2ports.smedley.info ?

Cheers,

Paul.
----------------------------------------------------------------------------------

**= Email   3 ==========================**

Date:  Fri, 27 Jul 2007 06:21:22 +0930
From:  Paul Smedley <paul at smedley.info>
Subject:  Re:  BIND config - was The Australian Government at work

Hi Ian,

Ian Manners wrote:
> Download  http://www.os2site dot com/sw/internet/dns/bind-9.4.1-os2r3.zip
> Build done by Paul Smedley, doesnt include the security fix from
> the past couple of days but if you have a FW its safe. The IBM DNS
> under OS/2 probably isnt the best to use.

I should be able to get the security fix built in the next day or two :)

Cheers,

Paul.
----------------------------------------------------------------------------------

**= Email   4 ==========================**

Date:  Fri, 27 Jul 2007 18:18:11 +1000 (EST)
From:  "Ian Manners" <deadmail>
Subject:  Re:  BIND config - was The Australian Government at work

Hi Paul

>I should be able to get the security fix built in the next day or two :)

Thanks :-)

No rush, it really only effects people with external recursion
and external caching, ie, your joe normal user like myself should
already have both of these set for internal only :o)

Cheers
Ian Manners
http://www.os2site dot com/

Wouldya do it for a Scooby Snack?
----------------------------------------------------------------------------------

**= Email   5 ==========================**

Date:  Fri, 27 Jul 2007 19:16:11 +1000 (EST)
From:  "Chris Graham [WarpSpeed]" <chrisg at warpspeed dot com dot au>
Subject:  Re:  The Australian Government at work

On Fri, 27 Jul 2007 06:20:15 +0930, Paul Smedley wrote:

>Hi Chris,
>
>Chris Graham [WarpSpeed] wrote:
>>> http://www.dnsstuff dot com/tools/dnsreport.ch?domain=donotcall.gov.au
>> 
>> I ran that for my domain, and the results were not pretty!
>> 
>> Does anyone know how to configure the IBM DNS (Bind 4.9 based) to no
>> recurse for the entire planet?
>
>Why not update to latest Bind - http://os2ports.smedley.info ?

Whilst a good suggestion, I am actually making use of the first D in IBM
DDNS server (the D stands for Dynamic, in that it hooks in with their DHCP
server to perform DNS updates on DHCP assigned addresses).

However, with some work, I could actually remove the DHCP stuff and go
fully static. The advantage of having my own C class I guess.

-Chris

WarpSpeed Computers - The Graham Utilities for OS/2.
Voice:  +61-3-9395-1504   Internet:   chrisg at warpspeed dot com dot au
FAX:    +61-3-9395-7633   Web Page:   http://www.warpspeed dot com dot au
Postal: WarpSpeed Computers, PO Box 4293, Hoppers Crossing DC, VIC 3029, AUSTRALIA

----------------------------------------------------------------------------------

**= Email   6 ==========================**

Date:  Fri, 27 Jul 2007 18:54:48 +0930
From:  Paul Smedley <paul at smedley.info>
Subject:  Re:  The Australian Government at work

Hi Chris,

Chris Graham [WarpSpeed] wrote:
> On Fri, 27 Jul 2007 06:20:15 +0930, Paul Smedley wrote:
> 
>> Hi Chris,
>>
>> Chris Graham [WarpSpeed] wrote:
>>>> http://www.dnsstuff dot com/tools/dnsreport.ch?domain=donotcall.gov.au
>>> I ran that for my domain, and the results were not pretty!
>>>
>>> Does anyone know how to configure the IBM DNS (Bind 4.9 based) to no
>>> recurse for the entire planet?
>> Why not update to latest Bind - http://os2ports.smedley.info ?
> 
> Whilst a good suggestion, I am actually making use of the first D in IBM
> DDNS server (the D stands for Dynamic, in that it hooks in with their DHCP
> server to perform DNS updates on DHCP assigned addresses).

You could always use my port of ISC DHCP server too - IIRC that's been 
tested by Allan Holm and works with Bind to do this....

Cheers,

Paul.
----------------------------------------------------------------------------------

**= Email   7 ==========================**

Date:  Fri, 27 Jul 2007 20:58:38 +1000 (EST)
From:  "Chris Graham [WarpSpeed]" <chrisg at warpspeed dot com dot au>
Subject:  Re:  The Australian Government at work

On Fri, 27 Jul 2007 18:54:48 +0930, Paul Smedley wrote:

>Hi Chris,
>
>Chris Graham [WarpSpeed] wrote:
>> On Fri, 27 Jul 2007 06:20:15 +0930, Paul Smedley wrote:
>> 
>>> Hi Chris,
>>>
>>> Chris Graham [WarpSpeed] wrote:
>>>>> http://www.dnsstuff dot com/tools/dnsreport.ch?domain=donotcall.gov.au
>>>> I ran that for my domain, and the results were not pretty!
>>>>
>>>> Does anyone know how to configure the IBM DNS (Bind 4.9 based) to no
>>>> recurse for the entire planet?
>>> Why not update to latest Bind - http://os2ports.smedley.info ?
>> 
>> Whilst a good suggestion, I am actually making use of the first D in IBM
>> DDNS server (the D stands for Dynamic, in that it hooks in with their DHCP
>> server to perform DNS updates on DHCP assigned addresses).
>
>You could always use my port of ISC DHCP server too - IIRC that's been 
>tested by Allan Holm and works with Bind to do this....

I did kind of half hope (expected! ?? <G>) that you'd have already
addressed my concerns... :-)

-Chris

WarpSpeed Computers - The Graham Utilities for OS/2.
Voice:  +61-3-9395-1504   Internet:   chrisg at warpspeed dot com dot au
FAX:    +61-3-9395-7633   Web Page:   http://www.warpspeed dot com dot au
Postal: WarpSpeed Computers, PO Box 4293, Hoppers Crossing DC, VIC 3029, AUSTRALIA

----------------------------------------------------------------------------------